using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("隐患附件表")]
    public class T_SK_HIDDEN_DANGER_CONFIRM_FILE : MesEntityBase
    {
        /// <summary>
        /// 隐患确认表
        /// </summary>
        [Description("隐患确认表")]
        [DataFieldForeignKey("Nav_Confirm", "Nav_Files")]
        public Guid HIDDEN_DANGER_CONFIRM_ID { get; set; }

        /// <summary>
        /// 导航：隐患确认表
        /// </summary>
        [Description("导航：隐患确认表")]
        public virtual T_SK_HIDDEN_DANGER_CONFIRM Nav_Confirm { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
